Skip to main content
GET
/
v2
/
objects
/
users
/
records
/
{record_id}
/
entries
List user record entries
curl --request GET \
  --url https://api.attio.com/v2/objects/users/records/{record_id}/entries \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.attio.com/v2/objects/users/records/{record_id}/entries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.attio.com/v2/objects/users/records/{record_id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0",
      "list_api_slug": "hiring-engineering",
      "entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156",
      "created_at": "2022-11-21T13:22:49.061281000Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

record_id
string
required

A UUID of the user record to fetch entries for.

Example:

"5e3fb280-007b-495a-a530-9354bde01de1"

Query Parameters

limit
integer

The maximum number of results to return. The default is 100 and the maximum is 1000. See the full guide to pagination here.

Example:

10

offset
integer

The number of results to skip over before returning. The default is 0. See the full guide to pagination here.

Example:

5

Response

200 - application/json

Success

Success

data
object[]
required